#!/bin/sh env python

# Packages
import matplotlib.pyplot as plt

# Read in data
with open('sine.dat','r') as fh:
    data = fh.read().splitlines()

# Split data into x and y
x = []
y = []
for i in range(len(data)):
    x.append(float(data[i].split()[0]))
    y.append(float(data[i].split()[1]))

# Plot
plt.plot(x, y, 'r--')
plt.xlabel('x')
plt.ylabel('y')
plt.savefig('sine_matplotlib.pdf')
